Bug 125601 - kppp looks for resolv.conf in a wrong place
Summary: kppp looks for resolv.conf in a wrong place
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-09 08:51 UTC by x1
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 14:37:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description x1 2004-06-09 08:51:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When using server supplied DNS, `pppd' writes 
/var/run/ppp/resolv.conf, while `kppp' continues to 
look for the file in /etc/ppp/ => "automatic" DNS doesn't work in `kppp'.



Version-Release number of selected component (if applicable):
kdenetwork-3.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. start `kppp'
2. make an account with DNS->Configuration->Automatic
3. Connect
    

Actual Results:  
1. error message: "failed to read from /etc/ppp/resolv.conf"
2. /etc/resolv.conf is NOT updated

Expected Results:  /etc/resolv.conf should be updated - DNS servers
provided by the peer should be added

Additional info:

Comment 1 Ngo Than 2004-07-01 14:37:31 UTC
it's fixed in kdenetwork-3.2.3-2, it will show up in rawhide soon.
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.